EnderDashEnderDash

Create OAuth Client

Create OAuth Client. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/servers.createOAuthClient

Create OAuth Client. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
serverId*string
name*string
redirectUris*array<string>

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/servers.createOAuthClient" \  -H "Content-Type: application/json" \  -d '{    "serverId": "string",    "name": "string",    "redirectUris": [      "string"    ]  }'
{  "result": {    "data": {      "client": {        "redirectUris": [          "string"        ],        "serverName": "string",        "clientSecretPrefix": "string",        "createdAt": "2019-08-24T14:15:22Z",        "enabled": true,        "id": "string",        "name": "string",        "organizationId": "string",        "publicClientId": "string",        "serverId": "string",        "updatedAt": "2019-08-24T14:15:22Z"      },      "clientSecret": "string"    }  }}